/*!\file:  Chaco.h
 * \brief header file for Chaco module.
 */ 

#ifndef _CHACO_H
#define _CHACO_H

#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
	#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

/*For python modules: needs to come before header files inclusion*/
#ifdef _HAVE_PYTHON_
#define PY_ARRAY_UNIQUE_SYMBOL PythonIOSymbol
#endif

/*headers*/
#include <stdio.h>
#include <string.h>    /*  strcasecmp  */
#include <time.h>      /*  clock,time,difftime  */
#include "../../c/include/globals.h"
#include "../../c/modules/modules.h"
#include "../../c/Container/Container.h"
#include "../../c/shared/shared.h"
#include "../../c/issm-binding.h"

/* local prototypes: */
void ChacoUsage(void);

#undef __FUNCT__ 
#define __FUNCT__  "Chaco"

#ifdef _HAVE_MATLAB_MODULES_
/* serial input macros: */
#define A_IN (mxArray*)prhs[0]
#define VWGTS_IN (mxArray*)prhs[1]
#define EWGTS_IN (mxArray*)prhs[2]
#define X_IN (mxArray*)prhs[3]
#define Y_IN (mxArray*)prhs[4]
#define Z_IN (mxArray*)prhs[5]
#define OPTNS_IN (mxArray*)prhs[6]
#define NPARTS_IN (mxArray*)prhs[7]
#define GOAL_IN (mxArray*)prhs[8]

/* serial output macros: */
#define ASSGN_OUT (mxArray**)&plhs[0]
#endif

/* serial arg counts: */
#undef NLHS
#define NLHS  1
#undef NRHS
#define NRHS  9

#endif  /* _CHACO_H */
