/*
	InterpFromMeshToGrid.h
*/

#ifndef _INTERPFROMMESHTOGRID_H
#define _INTERPFROMMESHTOGRID_H

#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
	#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

/*For python modules: needs to come before header files inclusion*/
#ifdef _HAVE_PYTHON_
#define PY_ARRAY_UNIQUE_SYMBOL PythonIOSymbol
#endif

/* local prototypes: */
void InterpFromMeshToGridUsage(void);

#include "../../c/include/globals.h"
#include "../../c/modules/modules.h"
#include "../../c/Container/Container.h"
#include "../../c/shared/shared.h"
#include "../../c/issm-binding.h"

#undef __FUNCT__ 
#define __FUNCT__  "InterpFromMeshToGrid"

#ifdef _HAVE_MATLAB_MODULES_
/* serial input macros: */
#define INDEX (mxArray*)prhs[0]
#define X (mxArray*)prhs[1]
#define Y (mxArray*)prhs[2]
#define MESHDATA (mxArray*)prhs[3]
#define XMIN (mxArray*)prhs[4]
#define YMAX (mxArray*)prhs[5]
#define XPOSTING (mxArray*)prhs[6]
#define YPOSTING (mxArray*)prhs[7]
#define NLINES (mxArray*)prhs[8]
#define NCOLS (mxArray*)prhs[9]
#define DEFAULTVALUE (mxArray*)prhs[10]

/* serial output macros: */
#define XM (mxArray**)&plhs[0]
#define YM (mxArray**)&plhs[1]
#define GRIDDATA (mxArray**)&plhs[2]
#endif

/* serial arg counts: */
#undef NLHS
#define NLHS  3
#undef NRHS
#define NRHS  11

#endif  /* _INTERPFROMMESHTOGRID_H*/
